API referenceBuying
Get my buy orders
Returns the authenticated user's buy orders.
GET
/me/buy-ordersReturns the authenticated user's buy orders.
Authorization
ApiKeyAuth Authorization<token>
CSFloat developer API key. Do not prefix with Bearer.
In: header
Query Parameters
page?integer
Zero-based page number.
Range
0 <= valueDefault
0limit?integer
Range
1 <= valueDefault
50order?string
Default
"desc"Value in
- "asc"
- "desc"
Response Body
application/json
curl -X GET "https://example.com/me/buy-orders"{ "orders": [ { "id": "string", "created_at": "2019-08-24T14:15:22Z", "market_hash_name": "string", "price": 0, "qty": 0, "bought_item_count": 0, "hybrid_properties": { "min_float": 0, "max_float": 0, "paint_index": 0, "paint_seeds": [ 0 ], "applied_stickers": [ { "sId": 0 } ], "applied_keychains": [ { "sId": 0 } ], "min_keychain_pattern": 0, "max_keychain_pattern": 0 } } ], "count": 0}